Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class RoleClassServiceDeliveryLocation

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.RoleClassServiceDeliveryLocation

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class RoleClassServiceDeliveryLocation

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Role Class Service Delivery Location', and utility methods for working with them. specDomain: V16927 (C-0-D11555-V13940-V19313-V19105-V16927-cpt)

See Also:
  `CDAR2Package.getRoleClassServiceDeliveryLocation()`

Field Summary
`static int` | `DSDLOC` The 'DSDLOC' literal value.
`static RoleClassServiceDeliveryLocation` | `DSDLOC_LITERAL` The 'DSDLOC' literal object.
`static int` | `ISDLOC` The 'ISDLOC' literal value.
`static RoleClassServiceDeliveryLocation` | `ISDLOC_LITERAL` The 'ISDLOC' literal object.
`static int` | `SDLOC` The 'SDLOC' literal value.
`static RoleClassServiceDeliveryLocation` | `SDLOC_LITERAL` The 'SDLOC' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Role Class Service Delivery Location' enumerators.

Method Summary
`static RoleClassServiceDeliveryLocation` | `get(int value)` Returns the 'Role Class Service Delivery Location' literal with the specified integer value.
`static RoleClassServiceDeliveryLocation` | `get(java.lang.String literal)` Returns the 'Role Class Service Delivery Location' literal with the specified literal value.
`static RoleClassServiceDeliveryLocation` | `getByName(java.lang.String name)` Returns the 'Role Class Service Delivery Location' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SDLOC

    public static final int SDLOC

  The 'SDLOC' literal value.

  If the meaning of 'SDLOC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SDLOC_LITERAL`, Constant Field Values

### DSDLOC

    public static final int DSDLOC

  The 'DSDLOC' literal value.

  If the meaning of 'DSDLOC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DSDLOC_LITERAL`, Constant Field Values

### ISDLOC

    public static final int ISDLOC

  The 'ISDLOC' literal value.

  If the meaning of 'ISDLOC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ISDLOC_LITERAL`, Constant Field Values

### SDLOC_LITERAL

    public static final RoleClassServiceDeliveryLocation SDLOC_LITERAL

  The 'SDLOC' literal object.

  See Also:
    `SDLOC`

### DSDLOC_LITERAL

    public static final RoleClassServiceDeliveryLocation DSDLOC_LITERAL

  The 'DSDLOC' literal object.

  See Also:
    `DSDLOC`

### ISDLOC_LITERAL

    public static final RoleClassServiceDeliveryLocation ISDLOC_LITERAL

  The 'ISDLOC' literal object.

  See Also:
    `ISDLOC`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Role Class Service Delivery Location' enumerators.

Method Detail

### get

    public static RoleClassServiceDeliveryLocation get(java.lang.String literal)

  Returns the 'Role Class Service Delivery Location' literal with the specified literal value.

### getByName

    public static RoleClassServiceDeliveryLocation getByName(java.lang.String name)

  Returns the 'Role Class Service Delivery Location' literal with the specified name.

### get

    public static RoleClassServiceDeliveryLocation get(int value)

  Returns the 'Role Class Service Delivery Location' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD